## debian-policy 3.5.6.1

=== debconf_spec/Makefile ===
all: debconf_specification.txt debconf_specification.html

%.html: %.xml html.dsl
	jade -V nochunks -t sgml -d html.dsl \
		/usr/lib/sgml/declaration/xml.dcl $< > $@
	-tidy -i -m -f /dev/null $@

%.txt: %.html
	links -dump $< | perl -pe 's/[\r\0]//g' > $@

clean:
	rm -f *.css *.html *.txt *.txt.gz

## debian-policy 2.1.3.2

=== debian/changelog ===
debian-policy (2.1.3.2) frozen unstable; urgency=low

  * Fixed an email address, an URL, and several typos in chapter 6 (#9358)
  * Added new virtual package "wordlist" to list (requested by Joey Hess)
  * Changed wording in section about "non-free" packages as suggested
    by Kai Henningsen (#7076)

 -- Christian Schwarz <schwarz@debian.org>  Mon, 5 May 1997 20:05:39 +0200

debian-policy (2.1.3.1) frozen unstable; urgency=low

  * Fixed bug in chapter 7: `-ur' should read `-us' (#8874)
  * Fixed bug in chapter 7: `-rwhatever' also needed for rebuild (#8874)
  * Create a PS and HTML version of the Policy Manual and upload it
    "byhand".
  * Install virtual-package-names-list.text in /usr/doc/debian-policy
    and upload it "byhand" too.

 -- Christian Schwarz <schwarz@debian.org>  Tue, 29 Apr 1997 18:02:14 +0200

debian-policy (2.1.3.0) unstable; urgency=low

  * Initial Release.
  * Please check the file /usr/doc/debian-policy/changelog-policy.gz
    for changes in the Policy Manual.

 -- Christian Schwarz <schwarz@debian.org>  Sat, 15 Mar 1997 17:58:08 +0100

Local variables:
mode: debian-changelog
add-log-mailing-address: "Christian Schwarz <schwarz@debian.org>"
End:

=== debian/control ===
Source: debian-policy
Section: doc
Priority: extra
Maintainer: Christian Schwarz <schwarz@debian.org>
Standards-Version: 2.1.3.0

Package: debian-policy
Architecture: all
Description: Debian Policy Manual and related documents
 This package contains the Debian Policy Manual as well as related
 documents (Linux Filesystem Standard, etc.).

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=debian-policy

build:
	$(checkdir)
	debiandoc2html policy.sgml
	touch build

clean:
	$(checkdir)
	-rm -f build
	-rm -rf policy.html
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	cp -a policy.html debian/tmp/usr/doc/debian-policy/
	cp FSSTND-FAQ fsstnd* tentative-opt-draft debian/tmp/usr/doc/debian-policy/fsstnd/
	cp changelog-policy debian/tmp/usr/doc/debian-policy/
	cp virtual-package-names-list.text debian/tmp/usr/doc/debian-policy/
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd
	dpkg-gencontrol
	rm debian/tmp/usr/doc/debian-policy/buildinfo.Debian
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..
	debiandoc2ps -pa4 -O policy.sgml | gzip -9v > ../policy.ps.gz
	dpkg-distaddfile -fdebian/files policy.ps.gz byhand -
	GZIP=-9v tar zcf ../policy.html.tar.gz policy.html
	dpkg-distaddfile -fdebian/files policy.html.tar.gz byhand -
	cp virtual-package-names-list.text ..
	dpkg-distaddfile -fdebian/files virtual-package-names-list.text byhand -

binary-arch:	checkroot build
	$(checkdir)
# There are no architecture-dependent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## debian-policy 2.4.1.2

=== debian/changelog ===
debian-policy (2.4.1.2) frozen unstable; urgency=low

  * non-maintainer release
  * rebuild package to fix truncated Chapter 3 (Bug#23408, not marked as
    important but should be, since a gaping hole in policy is very
    annoying.)
  * bumped version of policy, within the document, to this version number,
    but not the date, indicating nothing really changed since then
  * no content changes
  * debian/rules: clean is a little cleaner

 -- Adam P. Harris <aph@debian.org>  Tue, 16 Jun 1998 03:15:22 -0400

debian-policy (2.4.1.1) frozen unstable; urgency=low

  * Orphaned package

 -- Christian Schwarz <schwarz@debian.org>  Thu, 14 May 1998 21:54:50 +0200

debian-policy (2.4.1.0) frozen unstable; urgency=low

  * Changes to the Debian Policy Manual:

    - Updated section 3.1.2 Site-specific programs
          and section 3.8 Keyboard configuration:
      + improved wording (fixes:bug#20129)
  
    - Updated section 2.1.7 Subsections:
      + fixed typos (fixes:bug#18145)
  
    - Updated section 3.3.5 Symbolic links:
      + symbolic links within a toplevel directory should be relative,
        symbolic links between toplevel directories should be absolute
        (cf., Policy Weekly Issue#6, topic 2)

    - Updated section 3.4 System run levels:
      + Intro: mention /etc/rcS.d (links to boot time scripts)
      + Notes: include rationale why /etc/init.d scripts have to be tagged
        as conffiles (fixes:bug#16199)
      + Example: changed example init.d script to handle force-reload
        and restart options and to comply with the console message
        standard (fixes:bug#19216)

    - Updated section 4.8 Emacs lisp programs:
      + Replaced old section about lisp programs with a reference to
        the file debian-emacs-policy.gz, installed by the emacsen-common
        package.
  
    - Updated section 4.9 Games:
      + manpages for games should be installed in /usr/man/man6
        (cf., Policy Weekly Issue#6, topic 3)
  
    - Removed one example reference to the current standards version
    - Include manual's date as plain text in the .sgml source so that
      a recompiled manual uses the same release date

  * Changes to the authoritative list of virtual package names:
    - Removed obsolete virtual package `emacs'

  * New version numbering scheme:
  
    - The version numbers are independent of dpkg now, but all policy
      manuals (the Debian Policy Manual, the Debian Packaging Manual, and
      the Debian Developer's Reference) share the same version numbering
      scheme.
    
    - The first three digits of the version number specify the
      `Standards-Version.' This number is incremented with each policy
      change. The fourth digit represents the `patch-level,' which may
      differ between the manuals. 
  
      If only the patch-level digit is incremented, no changes in policy
      have been made, except bug fixes and clarifications. Packages only
      have to specify the first three digits of the version number in the
      `Standards-Version' field of their source packages.
  
  * Packaging changes:
  
    - Uploaded to frozen and unstable. This is a documentation-only
      package and the changes to the manual are relevant for hamm.

    - Fixed FSF's address in copyright file (detected by Lintian)
  
 -- Christian Schwarz <schwarz@debian.org>  Tue, 14 Apr 1998 10:08:09 +0200

debian-policy (2.4.0.0) unstable; urgency=low

  * Changes to the Debian Policy Manual:

    - Updated section 3.3.4 Scripts:
      + /bin/sh may be any POSIX compatible shell
      + scripts including bashisms have to specify /bin/bash as
        interpreter
      + scripts which create files in world-writable directories
        (e.g., in /tmp) should use tempfile or mktemp for creating
        the directory

    - Updated section 3.3.5 Symbolic Links:
      + symbolic links referencing compressed files must have the same
        file extension as the referenced file

    - Updated section 3.3.6 Device files:
      + /dev/tty* serial devices should be used instead of /dev/cu*

    - Updated section 3.4.2 Writing the scripts [in /etc/init.d]:
      + all /etc/init.d scripts have to provide the following options:
        start, stop, restart, force-reload
      + the reload option is optional and must never stop and restart
        the service

    - Updated section 3.5 Cron jobs:
      + cron jobs that need to be executed more often than daily should
        be installed into /etc/cron.d

    - Updated section 3.7 Menus:
      + removed section about how to register HTML docs to `menu'
        (the corresponding section in 4.4, Web servers and applications,
        has been removed in policy 2.2.0.0 already, so this one was
        obsolete)

    - New section 3.8 Keyboard configuration:
      + details about how the backspace and delete keys should be
        handled

    - New section 3.9 Environment variables:
      + no program must depend on environment variables to get a
        reasonable default configuration

    - New section 4.6 News system configuration:
      + /etc/news/organization and /etc/news/server should be supported
        by all news servers and clients

    - Updated section 4.7 Programs for the X Windows system:
      + programs requiring a non-free Motif library should be provided
        as foo-smotif and foo-dmotif package
      + if lesstif works reliably for such program, it should be linked
        against lesstif and not against a non-free Motif library

    - Updated section 4.9 Games:
      + games for X Windows have to be installed in /usr/games, just as
        non-X games

    - Lots of typos fixed (thanks to Ray Dassen for the patch!)

  * Changes to the authoritative list of virtual package names:
    - added `libc-dev' and `emacsen'

  * Merged `/usr/doc/debian-policy/changelog-policy.gz' into this
    changelog file

  * Included `Policy checklist for upgrading your packages' from the 


=== debian/control ===
Source: debian-policy
Section: doc
Priority: extra
Maintainer: Debian QA <debian-qa@lists.debian.org>
Standards-Version: 2.4.1.0

Package: debian-policy
Architecture: all
Suggests: doc-base
Conflicts: dpkg-dev (<< 1.4.0.9)
Description: Debian Policy Manual and related documents
 This package contains:
    - Debian Policy Manual
    - Linux Filesystem Structure (FSSTND)
    - Authoritative list of virtual package names
    - Paper about libc6 migration
    - Policy checklist for upgrading your packages

=== debian/rules ===
#!/usr/bin/make -f

build:
	$(checkdir)
	debiandoc2html policy.sgml
	debiandoc2text policy.sgml
	lynx -dump upgrading-checklist.html > upgrading-checklist.text
	gzip -9 policy.text
	touch build

clean:
	$(checkdir)
	-rm -f build
	-rm -rf policy.html policy.text* policy.lout*
	-rm -rf lout.li
	-rm -rf upgrading-checklist.text
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	cp -a policy.html debian/tmp/usr/doc/debian-policy/
	cp policy.text.gz debian/tmp/usr/doc/debian-policy/
	cat policy.sgml | gzip -9 > debian/tmp/usr/doc/debian-policy/policy.sgml.gz
	cp FSSTND-FAQ fsstnd* debian/tmp/usr/doc/debian-policy/fsstnd/
	cp virtual-package-names-list.text debian/tmp/usr/doc/debian-policy/
	cp upgrading-checklist.text debian/tmp/usr/doc/debian-policy/
	cp libc6-migration.text debian/tmp/usr/doc/debian-policy/
	gzip -9 debian/tmp/usr/doc/debian-policy/fsstnd/FSSTND-FAQ
	cp debian/changelog debian/tmp/usr/doc/debian-policy/
	gzip -9 debian/tmp/usr/doc/debian-policy/{changelog,libc6-migration.text,virtual-package-names-list.text,upgrading-checklist.text}
	cp debian-policy.desc debian/tmp/usr/share/doc-base/debian-policy
	cp debian/copyright debian/tmp/usr/doc/debian-policy/
	mkdir debian/tmp/DEBIAN
	cp debian/{postinst,prerm} debian/tmp/DEBIAN/
	chmod +x debian/tmp/DEBIAN/{postinst,prerm}
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..
	debiandoc2ps -pa4 -1 -O policy.sgml | gzip -9v > ../policy.ps.gz
	dpkg-distaddfile -fdebian/files policy.ps.gz byhand -
	GZIP=-9v tar zcf ../policy.html.tar.gz policy.html
	dpkg-distaddfile -fdebian/files policy.html.tar.gz byhand -
	cp policy.text.gz ..
	dpkg-distaddfile -fdebian/files policy.text.gz byhand -
	cp virtual-package-names-list.text ..
	dpkg-distaddfile -fdebian/files virtual-package-names-list.text byhand -
	cp libc6-migration.text ..
	dpkg-distaddfile -fdebian/files libc6-migration.text byhand -

binary-arch:	checkroot build
	$(checkdir)
# There are no architecture-dependent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## debian-policy 2.5.0.0

=== debian/changelog ===
debian-policy (2.5.0.0) unstable; urgency=low

  * AMENDMENT: Added in changes in Bug #25911, which rearranged sections
    to create a new section 4, namely, files. Section 3.3 ("Files") should
    become Section 4.  The Sections that are currently Section 4 and
    Section 5 should be moved down to become Section 5 and Section 6
    accordingly. 

    What is now Section 5.5 ("Log files") should be moved to be a
    subsection of the new Section 4 ("Files"), becoming section 4.8,
    placing it after "Configuration files", moving the would-be Section
    4.8 ("Permissions and owners") to Section 4.9.  All subsections of the
    current Section 5 after 5.5 should be accordingly moved down to fill
    in the number gap. 

    This, along with the next amendment, justifies bumping up the version
    number. closes: BUG#25911
  
  * AMENDMENT: Added in changes in Bug #21185, about the naming and
    compression of changelog files. Now, if the upstream changelog file is
    HTML formatted, it should be accessible as
    /usr/doc/<package>/changelog.html.gz It also allows for this to be a
    symlink, if the upstream file name does not conform to Debian
    conventions. closes: BUG#21185

  * AMENDMENT: Added in changes in Bug #7890, to make clear that the HTML
    documents should be supplied in _some_ package, not necessarily in the
    main binary package (at the discretion of the maintainer). 
    closes: BUG#7890
  
  * AMENDMENT: Added in changes in Bug #26461, which corrects the policy
    to refer to /usr/doc/<package>/copyright, rather than
    /usr/doc/copyright/<package>. closes: BUG#26461
  
  * AMENDMENT: Added in changes in Bug #25385, which allow the
    architecture specification strings to be of the form <arch>-<os>,
    where os is one of linux, gnu. Previously, only linux was allowed, now
    we also cater to the hurd. closes: BUG#25385
  
  * The responsibility of the contents of this package has now passed to
    the debian-policy mailing list. The packaging details are now being
    managed by a group of maintainers that do ot won the contents. 
  
  * Make the package optional, not extra. 
  
  * Re did the SGML markup. Normalized the document, and undid the omitted
    and shor tags. Personally, I use too many DTD's in real life to be so
    converssant with each one to be clever with tag omissions, and, since
    I have a smart editor, omitting tags does not byuy one much. In the
    process, I discovered a few errors in the markup (one of my
    predecessors hasd the unfortunate habit of treating <p> as a "create
    some space here" tag, and more often than not put it at the end of a
    paragraph, rather than using is as a container element (which is what
    it is, really). 
  
  * Re did the control files, making them more robust
  
  * re did the rules file, making it more general, and easier to maintain
    by putting in a layer of abstractions. 


 -- Manoj Srivastava <srivasta@debian.org>  Thu, 29 Oct 1998 15:16:52 -0600

debian-policy (2.4.1.4) unstable; urgency=low

  * New Maintainer <debian-policy@lists.debian.org>

 -- Philip Hands <phil@hands.com>  Sat,  5 Sep 1998 02:41:35 +0100

debian-policy (2.4.1.3) unstable; urgency=low

  * New maintainer (with changes from Adam P. Harris' proposed NMU)
  * policy.sgml:    some awkward phrasings fixed (closes Bug#22006)
  * policy.sgml:    s/depreciated/deprecated (closes Bug#21831)
  * debian/control: added conflict doc-base (<< 0.6), which I still am not
    sure why we need this but hey (closes Bug#21554)
  * policy.sgml: use new <url> tag where appropriate
  * policy.sgml, debian/control: always dynamically self reference the
    current version of policy, that is, do not hard code policy revision
    or date anywhere
  * debian/rules: use dpkg-gencontrol -isp
  * bugs fixed in some unknown previous version (closes Bug#23177)

 -- Philip Hands <phil@hands.com>  Tue, 11 Aug 1998 09:54:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: debian-policy
 Section: doc
-Priority: extra
-Maintainer: Debian QA <debian-qa@lists.debian.org>
-Standards-Version: 2.4.1.0
+Priority: optional
+Maintainer: Debian Policy List <debian-policy@lists.debian.org>
+Standards-Version: ${debian-policy:Version}
 
 Package: debian-policy
 Architecture: all
 Suggests: doc-base
-Conflicts: dpkg-dev (<< 1.4.0.9)
+Conflicts: dpkg-dev (<< 1.4.0.9), doc-base (<< 0.6)
 Description: Debian Policy Manual and related documents
  This package contains:
     - Debian Policy Manual

=== debian/rules ===
#!/usr/bin/make -f
############################ -*- Mode: Makefile -*- ###########################
## rules ---
## Author	    : Manoj Srivastava ( srivasta@tiamat.datasync.com )
## Created On	    : Thu Oct 29 15:35:55 1998
## Created On Node  : tiamat.datasync.com
## Last Modified By : Manoj Srivastava
## Last Modified On : Fri Oct 30 00:53:33 1998
## Last Machine Used: tiamat.datasync.com
## Update Count	    : 30
## Status	    : Unknown, Use with caution!
## HISTORY	    :
## Description	    :
##
###############################################################################
# The name of the package (for example, `emacs').
package := $(shell grep Source debian/control | sed 's/^Source: //')
arch	:=$(shell dpkg --print-architecture)
date	:= $(shell date +"%Y-%m-%d")
version := $(shell LC_ALL=C dpkg-parsechangelog | \
		   grep ^Version: | sed 's/^Version: *//')

FILES_TO_CLEAN  = debian/files debian/buildinfo  debian/substvars \
		  version.ent  policy.lout policy.lout.ld lout.li \
		  upgrading-checklist.text policy.text.gz
STAMPS_TO_CLEAN = stamp-binary stamp-build stamp-configure
DIRS_TO_CLEAN   = debian/tmp policy.html

# Location of the source dir
SRCTOP	  := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi;)
TMPTOP	  := $(SRCTOP)/debian/tmp
DOCDIR	  := $(TMPTOP)/usr/doc/$(package)
LIBDIR	  := $(TMPTOP)/usr/share/doc-base

FSSTND_FILES   =FSSTND-FAQ fsstnd-1.2.dvi.gz fsstnd-1.2.ps.gz fsstnd-1.2.txt.gz
POLICY_FILES   =policy.text.gz policy.sgml virtual-package-names-list.text \
		upgrading-checklist.text libc6-migration.text
BYHAND_FILES   =policy.text.gz libc6-migration.text\
		virtual-package-names-list.text

install_file   = /usr/bin/install -p	-o root -g root	 -m  644
install_program= /usr/bin/install -p	-o root -g root	 -m  755
make_directory = /usr/bin/install -p -d -o root -g root	 -m  755


all build: stamp-build
stamp-build:
	$(checkdir)
	-test -f stamp-configure || $(MAKE) -f debian/rules configure
	nsgmls -gues policy.sgml	# check SGML syntax
	debiandoc2html policy.sgml
	debiandoc2text policy.sgml
	lynx -dump upgrading-checklist.html > upgrading-checklist.text
	gzip -9 policy.text
	touch stamp-build

configure: stamp-configure
stamp-configure:
	rm -f version.ent
	echo "<!entity version \"$(version)\">" >> version.ent
	echo "<!entity date    \"$(date)\">"	    >> version.ent
	touch stamp-configure
clean:
# Undoes the effect of `make -f debian/rules build'.
	$(checkdir)
	rm -f  $(FILES_TO_CLEAN) $(STAMPS_TO_CLEAN)
	rm -rf $(DIRS_TO_CLEAN)
	rm -f core `find . \( -name '*.orig' -o -name '*.rej' -o \
	  -name '*~' -o -name '*.bak' -o -name '#*#' -o \
	  -name '.*.orig' -o -name '.*.rej' -o -name '.SUMS' -o \
	  -size 0 \) -print` TAGS


binary:		binary-indep binary-arch
binary-arch:	build
	$(checkdir)
# There are no architecture-dependent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-indep:	stamp-binary
stamp-binary:  build
	@test root = "`whoami`" || (echo need root priviledges; exit 1)
	$(checkdir)
	test -f stamp-build	|| $(MAKE) -f	     debian/rules build
	-rm -rf			$(TMPTOP)
	$(make_directory)	$(TMPTOP)/DEBIAN
	$(make_directory)	$(DOCDIR)/fsstnd
	$(make_directory)	$(LIBDIR)
	# create a substvar to reference from debian/control so that
	# we don't hardcode the policy compliance of the policy
	# package.  I guess some might question this but I take it as
	# a given that the debian-policy pkg must always comply with
	# itself...
	echo "debian-policy:Version=$(version)"	     > debian/substvars
	$(install_file)	    $(POLICY_FILES)	     $(DOCDIR)/
	$(install_file)	    $(FSSTND_FILES)	     $(DOCDIR)/fsstnd/
	$(install_file)	    debian/changelog	     $(DOCDIR)/
	-gzip -fqr9	    $(DOCDIR)
	$(install_file)	    debian/copyright	     $(DOCDIR)/
	$(install_file)	    debian-policy.desc	     $(LIBDIR)/debian-policy
	(tar cf -	    policy.html) |	     (cd $(DOCDIR);   tar xf -)
	$(install_program)  debian/{postinst,prerm}  debian/tmp/DEBIAN/
	dpkg-gencontrol	    -isp
	chown		    -R root.root debian/tmp
	chmod		    -R go=rX debian/tmp
	dpkg		    --build debian/tmp ..
	debiandoc2ps	    -pa4 -1 -O policy.sgml | gzip -9v >	 ../policy.ps.gz
	GZIP=-9v tar zcf    ../policy.html.tar.gz    policy.html
	dpkg-distaddfile    -fdebian/files	     policy.ps.gz	byhand -
	dpkg-distaddfile    -fdebian/files	     policy.html.tar.gz byhand -
	for i in	    $(BYHAND_FILES); do \
	  $(install_file)   $$i		   ..		     ; \
	  dpkg-distaddfile  -fdebian/files $$i	     byhand - ; \
	done
	touch		   stamp-binary

define checkdir
	test -f debian/rules -a -f policy.sgml
endef

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

.PHONY: binary binary-arch binary-indep clean checkroot

#Local variables:
#mode: makefile
#End:

## debian-policy 3.1.1.1

=== debian/changelog ===
debian-policy (3.1.1.1) unstable; urgency=low

  * Correction to typo in packaging manual, section 6.2.
  * Correction to typo in packaging manual, section 12.2.5 (closes:
    #50502)
  * More corrections to packaging manual typos (closes: #50857)

 -- Julian Gilbey <jdg@debian.org>  Mon, 22 Nov 1999 19:23:31 +0000

debian-policy (3.1.1.0) unstable; urgency=low

  * Correct description of negated architectures in Build-Depends
    description in Packaging manual (closes: #49901)

 -- Julian Gilbey <jdg@debian.org>  Tue, 16 Nov 1999 15:03:48 +0000

debian-policy (3.1.0.0) unstable; urgency=low

  * Add instructions on /usr/doc -> /usr/share/doc symlinks (closes:
    #45561, #42447, #48570)
  * Added source dependencies (closes: #41232)
  * Deprecated /etc/rc.boot (closes: #32448, #32449)
  * Update-rc.d now only legal way to automatically access /etc/rc?.d
    directoried (closes: #41547)
  * FHS compliant location of examples (closes: #42849)
  * Added ispell-dictionary to virtual-packages.list (following new
    suggestions: no objections => accept) (closes: #8221)
  * Added man-browser to virtual-packages.list (closes: #24695)
  * Added ident-server to virtual-packages.list (closes: #45307)
  * Alphabeticised virtual packages list ;)
  * Corrected GPL reference in proposal.sgml
  * Clarification of "extra" priority (closes: #33076)
  * Remove buggy and seriously problematic licenses from list of contrib
    package criteria (closes: #45318)
  * Move docs to /usr/share/doc with a compatibility symlink (closes:
    #41829)
  * Update to FHS 2.1 draft #3 (for /var/state etc. changes).
  * Correct /var/lib/games -> /var/games (closes: #42358)
  * Added MIME subpolicy (closes: #46516)
  * Added support for VISUAL (closes: #41121)
  * Clarify non-dependence on /usr/local (closes: #44922)
  * Modified description of mail spool locking (closes: #43651)
  * Clarified wording of conffiles and configuration files (closes:
    #40766, #40767)
  * Changed description of release numbers (closes: #44620)
  * Added changelog.html -> changelog requirement (closes: $40934)
  * packaging-manual now correctly installs its docs (closes: #44643)
  * The packaging manual now discusses version numbers based on dates
    (closes: #17621)
  * Mention ls -f for testing order in which files appear on disk (closes:
    #19179)
  * Change order of '.' and '+' in description of version numbers (closes:
    #41095)
  * s/fields/field names/ in section 4.1 of packaging manual for clarity
  * Add Build-Depends-Indep: field to control file

 -- Julian Gilbey <jdg@debian.org>  Thu,  4 Nov 1999 23:50:37 +0000

debian-policy (3.0.1.1) unstable; urgency=low

  * Typo corrected in packaging manual. closes: Bug#40180
  * Chnaged rules file to create ps and pdf files.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 16 Aug 1999 01:21:09 -0500

debian-policy (3.0.1.0) unstable; urgency=low

  * A few typos and omissions corrected
  * Added the pop3-server to the virtual packages list, as decided on the
    list. 
  * Fix the self reference to a location on the web site. closes: Bug#39408
  * Added the clarification that the .la files are essential for the
    packages using libtool's libltdl library, in which case the
    .la files must go in the run-time library package. (this is why this
    is version 3.0.1.0, and not 3.0.0.1)
  * The virtual package list has new directions (this has been true for a
    while, I am just closing the bug now). closes: Bug#26159
  * Since this package now contains the FHS, this closes: Bug#25533
  * The General resolution prototcol handling of the logos closes: Bug#26915
  * Inclusion of the Menu policy in the main policy document closes: Bug#30036
  * Since proposal submitting guidelines are now in the policy package,
    this closes: Bug#38612
  * Changed a /usr/doc reference to /usr/share/doc which had beeen missed
    before. closes: Bug#40864

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 15 Jul 1999 13:35:11 -0500

debian-policy (3.0.0.0) unstable; urgency=low

  * This is a test version of the policy package, and shall not be
    officially uploaded.
  * Merged in the packaging manual sources (we still have two separate
    .deb packages)
  * Multiple minor packaging tweaks.
  * [ACCEPTED 1998/05/01] Policy clarification about Standards-Version
    Added the clarifying paragraph (and the rationale in a footnote). 
    closes: Bug#21969
  * [ACCEPTED 1999/04/05] Policy note that GPL moved to
    /usr/share/common-licenses. Again, also added the rationale as a
    footnote. closes: Bug#28747
  * [ACCEPTED 1999/05/04] Libtool archive (*.la) files in -dev' packages 
    closes: Bug#37257, Bug#37338
  * [ACCEPTED 1999/04/28] Logrotation. Standardizer on logrotate. 
    closes: Bug# 37342
  * [ACCEPTED 1999/05/23] Rewrite of section 5.7 (Programs for the X
    Window System) closes: Bug#38212
  * [ACCEPTED 1999/05/15] Separate menu policy (like virtual package list)
    closes: Bug#37713
  * [ACCEPTED 1999/05/09] Utmp group proposal
    closes: Bug#37389
  * [ACCEPTED 1999/05/09] Adopt the FHS in place of FSSTND
    Changed all references to the proper FHS versions. This was a first
    scan, so some references may still need to be changed. closes: Bug#37345
  * Updated the upgrading checklist.
  * updated the proposal for policy update to reflect the latest 

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 30 Jun 1999 22:49:15 -0500

debian-policy (2.5.1.0) unstable; urgency=low

  * Removed double '>' marks from the policy document. closes: Bug#35095
  * Corrected canonical source for "Csh Programming Considered Harmful"
    closes: Bug#36286 Bug#32499
  * Fixed typo in invocation of update-rc.d. closes: Bug#34988 Bug#34543
  * Fixed misspelling of accessible. Ran ispell over the rest of the
    document (painful because of the large number of technical terms in
    there). closes: Bug#34233
  * Make the binary package contain the version.ent as well. closes: Bug#31033


=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Debian Policy List <debian-policy@lists.debian.org>
 Standards-Version: ${debian-policy:Version}
+Build-Depends-Indep: lynx, debiandoc-sgml, sp, liburi-perl, libpaperg, tetex-bin, tetex-extra, latex2html, libi18n-langtags-perl
 
 Package: debian-policy
 Architecture: all
@@ -12,6 +13,19 @@
  This package contains:
     - Debian Policy Manual
     - Linux Filesystem Structure (FSSTND)
+    - Linux Filesystem Hierarchy Standard (FHS)
     - Authoritative list of virtual package names
     - Paper about libc6 migration
     - Policy checklist for upgrading your packages
+
+Package: packaging-manual
+Architecture: all
+Suggests: doc-base, dpkg (>= 1.4.0.23)
+Description: Debian Packaging Manual
+ This package installs the Debian Packaging Manual. 
+ .
+ This manual describes the technical aspects of creating Debian binary
+ and source packages.  It also documents the interface between
+ dselect and its access method scripts.  It does not deal with
+ the Debian Project policy requirements, and it assumes familiarity
+ with dpkg's functions from the system administrator's perspective.

=== debian/rules ===
#!/usr/bin/make -f
############################ -*- Mode: Makefile -*- ###########################
## rules ---
## Author	    : Manoj Srivastava ( srivasta@tiamat.datasync.com )
## Created On	    : Thu Oct 29 15:35:55 1998
## Created On Node  : tiamat.datasync.com
## Last Modified By : Manoj Srivastava
## Last Modified On : Wed Jun 30 23:05:51 1999
## Last Machine Used: glaurung.green-gryphon.com
## Update Count	    : 51
## Status	    : Unknown, Use with caution!
## HISTORY	    :
## Description	    :
## $Id$
###############################################################################
# The name of the package (for example, `emacs').
package := $(shell grep Source debian/control | sed 's/^Source: //')
arch	:= $(shell dpkg --print-installation-architecture)
date	:= $(shell date +"%Y-%m-%d")
version := $(shell LC_ALL=C dpkg-parsechangelog | \
		   grep ^Version: | sed 's/^Version: *//')
ppackage:= packaging-manual

FILES_TO_CLEAN  = debian/files debian/buildinfo  debian/substvars \
		  debian/postinst debian/prerm \
		  version.ent  policy.lout policy.lout.ld lout.li \
		  upgrading-checklist.text policy.text.gz \
		  packaging.lout packaging.text.gz packaging.ps \
		  packaging.pdf.gz menu-policy.text.gz \
		  proposal.text.gz menu-policy.pdf.gz proposal.pdf.gz \
		  mime-policy.text.gz mime-policy.pdf.gz
STAMPS_TO_CLEAN = stamp-policy stamp-packaging stamp-build stamp-configure
DIRS_TO_CLEAN   = debian/tmp policy.html fhs debian/tmp-packaging \
		  packaging.html menu-policy.html mime-policy.html \
		  proposal.html
SGML_FILES      = policy packaging menu-policy mime-policy proposal

# Location of the source dir
SRCTOP	  := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi;)
TMPTOP	  := $(SRCTOP)/debian/tmp
DOCDIR	  := $(TMPTOP)/usr/share/doc/$(package)
LIBDIR	  := $(TMPTOP)/usr/share/doc-base

PTMPTOP	  := $(SRCTOP)/debian/tmp-packaging
PDOCDIR	  := $(PTMPTOP)/usr/share/doc/$(ppackage)
PLIBDIR	  := $(PTMPTOP)/usr/share/doc-base

FHS_ARCHIVE  =$(shell ls -1 fhs*.tar.gz)
FHS_FILES    =fhs/fhs.dvi fhs/fhs.ps fhs/fhs.txt
FSSTND_FILES =FSSTND-FAQ fsstnd-1.2.dvi.gz fsstnd-1.2.ps.gz fsstnd-1.2.txt.gz
POLICY_FILES =policy.text.gz policy.sgml virtual-package-names-list.text \
	      upgrading-checklist.text libc6-migration.text \
	      version.ent proposal.sgml proposal.text.gz \
	      menu-policy.sgml menu-policy.text.gz \
	      mime-policy.sgml mime-policy.text.gz
BYHAND_FILES =policy.text.gz libc6-migration.text \
	      virtual-package-names-list.text menu-policy.text.gz \
	      mime-policy.text.gz
PBYHAND_FILES=packaging.text.gz

install_file   = /usr/bin/install -p	-o root -g root	 -m  644
install_program= /usr/bin/install -p	-o root -g root	 -m  755
make_directory = /usr/bin/install -p -d -o root -g root	 -m  755


all build: stamp-build
stamp-build:
	$(checkdir)
	-test -f stamp-configure || $(MAKE) -f debian/rules configure
	for file in $(SGML_FILES); do \
	  nsgmls -gues $$file.sgml; \
	  debiandoc2html $$file.sgml; \
	  debiandoc2text $$file.sgml; \
	  if [ -f $$file.txt ]; then mv $$file.txt $$file.text; fi; \
	  gzip -9f $$file.text; \
	done
	tar zfx $(FHS_ARCHIVE)
	lynx -dump upgrading-checklist.html > upgrading-checklist.text
	touch stamp-build

configure: stamp-configure
stamp-configure:
	rm -f version.ent
	echo "<!entity version \"$(version)\">" >> version.ent
	echo "<!entity date    \"$(date)\">"	    >> version.ent
	touch stamp-configure

clean:
# Undoes the effect of `make -f debian/rules build'.
	$(checkdir)
	rm -f  $(FILES_TO_CLEAN) $(STAMPS_TO_CLEAN)
	rm -rf $(DIRS_TO_CLEAN)
	rm -f core `find . \( -name '*.orig' -o -name '*.rej' -o \
	  -name '*~' -o -name '*.bak' -o -name '#*#' -o \
	  -name '.*.orig' -o -name '.*.rej' -o -name '.SUMS' -o \
	  -size 0 \) -print` TAGS


binary:		binary-indep binary-arch
binary-arch:	build
	$(checkdir)
# There are no architecture-dependent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-indep:	stamp-policy stamp-packaging
stamp-policy:  build
	@test root = "`whoami`" || (echo need root priviledges; exit 1)
	$(checkdir)
	test -f stamp-build	|| $(MAKE) -f	     debian/rules build
	-rm -rf			$(TMPTOP)
	$(make_directory)	$(TMPTOP)/DEBIAN
	$(make_directory)	$(DOCDIR)/fsstnd
	$(make_directory)	$(DOCDIR)/fhs
	$(make_directory)	$(LIBDIR)
	# create a substvar to reference from debian/control so that
	# we don't hardcode the policy compliance of the policy
	# package.  I guess some might question this but I take it as
	# a given that the debian-policy pkg must always comply with
	# itself...
	echo "debian-policy:Version=$(version)"	     > debian/substvars
	echo "packaging-manual:Version=$(version)"   >> debian/substvars
	$(install_file)	    $(POLICY_FILES)	     $(DOCDIR)/
	$(install_file)	    $(FSSTND_FILES)	     $(DOCDIR)/fsstnd/
	$(install_file)	    $(FHS_FILES)	     $(DOCDIR)/fhs/
	$(install_file)	    debian/changelog	     $(DOCDIR)/
	-gzip -fqr9	    $(DOCDIR)
	$(install_file)	    debian/copyright	     $(DOCDIR)/
	$(install_file)	    debian-policy.desc	     $(LIBDIR)/debian-policy
	(tar cf -	    policy.html) |	     (cd $(DOCDIR);   tar xf -)
	(tar cf -	    menu-policy.html) |	     (cd $(DOCDIR);   tar xf -)
	(tar cf -	    mime-policy.html) |	     (cd $(DOCDIR);   tar xf -)
	(tar cf -	    proposal.html) |	     (cd $(DOCDIR);   tar xf -)
	sed -e 's/#PACKAGE#/$(package)/' debian/postinst.in > debian/postinst
	sed -e 's/#PACKAGE#/$(package)/' debian/prerm.in > debian/prerm
	$(install_program)  debian/{postinst,prerm}  debian/tmp/DEBIAN/
	dpkg-gencontrol	    -pdebian-policy -Pdebian/tmp -isp
	chown		    -R root.root debian/tmp
	chmod		    -R go=rX debian/tmp
	dpkg		    --build debian/tmp ..
	debiandoc2latexps    policy.sgml
	mv policy.ps         ../
	gzip -9qvf            ../policy.ps
	debiandoc2latexpdf  policy.sgml
	mv policy.pdf        ../
	gzip -9qfv 	     ../policy.pdf
	GZIP=-9v tar zcf    ../policy.html.tar.gz    policy.html
	dpkg-distaddfile    -fdebian/files	     policy.ps.gz	byhand -
	dpkg-distaddfile    -fdebian/files	     policy.pdf.gz	byhand -
	dpkg-distaddfile    -fdebian/files	     policy.html.tar.gz byhand -
	for i in	    $(BYHAND_FILES); do \
	  $(install_file)   $$i		   ..		     ; \
	  dpkg-distaddfile  -fdebian/files $$i	     byhand - ; \
	done
	touch		   stamp-policy

stamp-packaging:  build
	@test root = "`whoami`" || (echo need root priviledges; exit 1)
	$(checkdir)
	test -f stamp-build	|| $(MAKE) -f	     debian/rules build
	-rm -rf			$(PTMPTOP)
	$(make_directory)	$(PTMPTOP)/DEBIAN
	$(make_directory)	$(PDOCDIR)
	$(make_directory)	$(PLIBDIR)
	echo "debian-policy:Version=$(version)"	     > debian/substvars
	echo "packaging-manual:Version=$(version)"   >> debian/substvars

	$(install_file)	   packaging.sgml	     $(PDOCDIR)/
	$(install_file)	   version.ent	             $(PDOCDIR)/
	$(install_file)	   debian/changelog	     $(PDOCDIR)/
	-gzip -fqr9	   $(PDOCDIR)
	$(install_file)	   packaging.text.gz	     $(PDOCDIR)/
	$(install_file)	   debian/copyright	     $(PDOCDIR)/
	$(install_file)	   packaging-manual.desc     $(PLIBDIR)/packaging-manual
	(tar cf -	   packaging.html) |	     (cd $(PDOCDIR);   tar xf -)
	sed -e 's/#PACKAGE#/$(ppackage)/' debian/postinst.in > debian/postinst
	sed -e 's/#PACKAGE#/$(ppackage)/' debian/prerm.in > debian/prerm
	$(install_program) debian/{postinst,prerm}   debian/tmp-packaging/DEBIAN/
	dpkg-gencontrol	   -ppackaging-manual -Pdebian/tmp-packaging -isp
	chown		   -R root.root debian/tmp-packaging
	chmod		   -R go=rX debian/tmp-packaging
	dpkg		   --build debian/tmp-packaging ..
	debiandoc2latexps  packaging.sgml
	debiandoc2latexpdf packaging.sgml
	mv packaging.ps    ../
	mv packaging.pdf   ../
	gzip -9vf          ../packaging.ps
	gzip -9vf          ../packaging.pdf
	GZIP=-9v tar zcf   ../packaging.html.tar.gz    packaging.html
	dpkg-distaddfile   -fdebian/files	 packaging.ps.gz       byhand -
	dpkg-distaddfile   -fdebian/files	 packaging.pdf.gz      byhand -
